Subject: Re: bug#56155: 29.0.50; Options menu, toggle menu items not updated

From: Daniel Martín <[email-masked]>
Date: Wed, 29 Jun 2022 01:38:10 +0200

Stefan Kangas <[email-masked]> writes:

> Gerd Möllmann <[email-masked]> writes:
>
>> What I don't know is if this can only be seen on macOS.  On macOS, one can
>> select an option from the menu bar, re-open the Options menu and select another,
>> wihout Emacs running anything in between the two selections that can itself set
>> update_mode_lines.  If anything else sets update_mode_lines, the ill effect will
>> not show up.  Just clicking in the text area runs a command...
>
> FWIW, I can reproduce the issue consistently on my macOS machine, but
> not on GNU/Linux.

That's interesting.  Could you put a breakpoint on that C function on
GNU/Linux to see if it's called, for example, when you close the menu?
That may be the key difference between macOS and the other operating
systems.  I don't have a GNU/Linux system at hand right now, but I can
investigate if needed.

(BTW, as an aside, getting a Lisp backtrace using LLDB on macOS is a bit
time-consuming because of all the manual steps to print the pointer
structures.  If I have time, I'd like to write an .lldbinit file with
LLDB commands to make this process much simpler, although I don't know
how many people are debugging Emacs using LLDB here.)